Skip to main content
PUT
/
workspaces
/
{id}
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";

const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });

const response = await firma.workspaces.updateWorkspace({
    id: "id",
    name: "Enterprise Sales Workspace"
});
console.log(response);
curl --request PUT \
--url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Enterprise Sales Workspace"
}
'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}"

payload = { "name": "Enterprise Sales Workspace" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Enterprise Sales Workspace'})
};

fetch('https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "protected": true,
  "api_key": "<string>",
  "test_api_key": "<string>",
  "updated_date": "2023-11-07T05:31:56Z",
  "webhook_enabled": true,
  "webhook_secret": "<string>",
  "webhook_secret_rotated_at": "2023-11-07T05:31:56Z",
  "webhook_secret_created_at": "2023-11-07T05:31:56Z",
  "ignore_company_webhooks": true,
  "icon_url": "https://ielmshcswdhuacyjlpiy.supabase.co/functions/v1/logo/workspace/company-id/workspace-id"
}
{
"error": "Validation Error",
"message": "Invalid input data",
"details": {
"name": "Name is required",
"email": "Invalid email format"
}
}
{
"error": "Unauthorized",
"message": "Invalid API key"
}
{
"error": "Not Found",
"message": "The requested resource was not found"
}
{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Body

application/json
name
string
required

Workspace name

Maximum string length: 255

Response

Workspace updated successfully

id
string<uuid>
required

Unique identifier for the workspace

name
string
required

Workspace name

Maximum string length: 255
created_date
string<date-time>
required

Workspace creation timestamp

protected
boolean

Protected workspaces cannot be deleted

api_key
string | null

Live-mode API key for this workspace. Used for authenticating API requests scoped to this workspace.

test_api_key
string | null

Test-mode API key for this workspace. Requests authenticated with this key do not consume credits and produce test-flagged, watermarked signing requests.

updated_date
string<date-time>

Workspace last update timestamp

webhook_enabled
boolean

Whether workspace-level webhooks are enabled

webhook_secret
string | null

Webhook signing secret for this workspace

webhook_secret_rotated_at
string<date-time> | null

Timestamp of the last webhook secret rotation

webhook_secret_created_at
string<date-time> | null

Timestamp when the webhook secret was first created

ignore_company_webhooks
boolean

When true, company-level webhooks do not fire for events in this workspace

icon_url
string<uri> | null

Publicly accessible URL to the workspace logo image. Returns the workspace-specific logo, or null if not set (company logo is NOT included as fallback in this field).

Example:

"https://ielmshcswdhuacyjlpiy.supabase.co/functions/v1/logo/workspace/company-id/workspace-id"